<?php
/********************************************************************************
 
        Module:         modify.inc
        Author:         Peter R. Schmidt
        Web Address:    http://www.prstech.com
        e-Mail:         peterschmidt@erols.com
        Description:    Video Web-to-Database Program in PHP
						Modify
 
    Change Log
 
      Date      Person              Description
 
    09/01/00    Peter Schmidt       Started program

/*******************************************************************************
*
*   Function:       modify_mode_1
*   Author:         Peter R. Schmidt
*   Description:    Get modifications of a record
*
*******************************************************************************/

function modify_mode1 ($modify_array) {

    display_heading1("Modify");

	$pick_id  = $modify_array[pick_id];
	$pick_max = $modify_array[pick_max];

	$pick_next = ($pick_id + 1);			// CALCULATE NEXT
	$pick_prev = ($pick_id - 1);			// CALCULATE PREVIOUS

	list ($input_array,$cnt_found,$serial_id) = get_picklist($modify_array);

	if ($cnt_found == 0) {
        echo "<center><h3>\n";
		echo "<font color=red>\n";
        echo "Warning: record not found!<BR>\n";
        echo "(maybe it was just deleted)<BR>\n";
        echo "serial_id was $serial_id<BR>\n";
        echo "</center></h3></font>\n";
		display_menu2($modify_array,$pick_next,$pick_prev);		// Menu: Next, Previous, First, Last...
		exit;
	}

	echo "<center><h3>Viewing $pick_id of $pick_max</h3></center>\n";

	display_menu2($modify_array,$pick_next,$pick_prev);		// Menu: Next, Previous, First, Last...

	echo "<FORM NAME='video_form' METHOD='POST' ACTION='video_db2.php3' onSubmit='return verify(this);'>";

	display_javascript();

	display_form1($input_array);			// DISPLAY THE FORM 

	echo "<BR>";

	display_menu3($modify_array,$pick_next,$pick_prev,$serial_id);		// menu: Update, Delete, Main

}

/*******************************************************************************
*
*   Function Name:  get_picklist
*   Author:         Peter R. Schmidt
*   Description:    Fetch a row using the picklist
*
*   Input Arg 1:    the modify_array
*
*   Return Arg:     input_array, rows found
*
*******************************************************************************/

function get_picklist($modify_array) {

	$cnt_found = 0;
	$serial_id = 0;

	$input_array = array (
		"type_code" => "",
		"tape_num"  => "",
		"title"     => "",
		"hours"     => "",
		"comment"   => ""
	);

    $connect_id = database_connection();	// ESTABLISH A DATABASE CONNECTION

	if ($connect_id) {

		$pick_id   = $modify_array[pick_id];
		$pick_list = preg_split("/\|/",$modify_array[pick_list]);	// CONVERT PICKLIST INTO ARRAY
		$serial_id = $pick_list[$pick_id-1];						// DECREMENT OFFSET BY 1

		$where_clause = "where serial_id = $serial_id";

		list ($statmt_id,$cnt_found) = cnt_and_query("vhs",$where_clause);

		if ($cnt_found == 1) {

			$row = ifx_fetch_row($statmt_id);

			if ($row) {
				$serial_id	= $row[serial_id];
				$type_code	= chop($row[type_code]);
				$tape_num	= $row[tape_num];
				$title		= chop($row[title]);
				$hours		= $row[hours];
				$comment	= chop($row[comment]);

				$input_array = array (
					"type_code" => $type_code,
					"tape_num"  => $tape_num,
					"title"     => $title,
					"hours"     => $hours,
					"comment"   => $comment
				);

				$ret_val = 1;
			}
		}
	}

	return array ($input_array,$cnt_found,$serial_id);

}
	
/*******************************************************************************
*
*   Function:       modify_mode_2
*   Author:         Peter R. Schmidt
*   Description:    Modify a record
*
*******************************************************************************/

function modify_mode2 ($input_array,$modify_array) {

    $sql_txt  = "update vhs set\n";
    $sql_txt .= "type_code = '$input_array[type_code]',\n";
    $sql_txt .= "tape_num  = '$input_array[tape_num]',\n";
    $sql_txt .= "title     = '$input_array[title]',\n";
    $sql_txt .= "hours     = '$input_array[hours]',\n";
    $sql_txt .= "comment   = '$input_array[comment]'\n";
    $sql_txt .= "where serial_id = $modify_array[serial_id];";

    $connect_id = database_connection();	// ESTABLISH A DATABASE CONNECTION

	if ($connect_id) {

		$statmt_id = ifx_query($sql_txt,$connect_id);		// UPDATE RECORD

		if (!$statmt_id) {
   			echo "Unable to execute Informix sql statement<br>\n";
   			echo "$sql_txt<br>\n";
   			exit;
		}

		$flag_insert = 1;
	}

    if ($flag_insert) {
        echo "<H2><CENTER><font color='red'>Record Updated.</font></CENTER></H2>\n";
		echo "<HR SIZE=4 NOSHADE>";
    }

	modify_mode1($modify_array);
}

/*******************************************************************************
*
*   Function:       delete_mode_2
*   Author:         Peter R. Schmidt
*   Description:    Delete a record
*
*******************************************************************************/

function delete_mode1 ($modify_array) {

    $sql_txt  = "delete from vhs where serial_id = $modify_array[serial_id];";

    $connect_id = database_connection();	// ESTABLISH A DATABASE CONNECTION

	if ($connect_id) {

		$statmt_id = ifx_query($sql_txt,$connect_id);		// DELETE RECORD

		if (!$statmt_id) {
   			echo "Unable to execute Informix sql statement<br>\n";
   			echo "$sql_txt<br>\n";
   			exit;
		}

		$flag_insert = 1;
	}

    if ($flag_insert) {
        echo "<H2><CENTER><font color='red'>Record Deleted.</font></CENTER></H2>\n";
		echo "<HR SIZE=4 NOSHADE><BR>";
    }

	$pick_id  = $modify_array[pick_id];
	$pick_next = ($pick_id + 1);			// CALCULATE NEXT
	$pick_prev = ($pick_id - 1);			// CALCULATE PREVIOUS

	display_menu2($modify_array,$pick_next,$pick_prev);		// Menu: Next, Previous, First, Last...

}

?> 

